nav {
    display: flex;
    justify-content: center;
    position: fixed;
    top: 0;
    left: 8px;
    right: 8px;
    padding: 10px 0 10px 10px;
    background: #323232;
    border-radius: 0 0 12px 12px;
}

nav ul {
    display: flex;
    align-items: center;
    gap: 20px;
    list-style: none;
}

nav a{
  text-decoration: none;
  color: whitesmoke;
  font-weight: bold;
}

nav a:hover {
  transition: 0.3s;
  color: grey;
  text-decoration: underline;
}

main {
    margin-top: 30px;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-template-areas:
        "header header header"
        "html-definition editeur-de-code structure-dossier-web"
        "balises-structurantes balises-texte balises-multimedias"
        "structure-page-web structure-page-web structure-page-web"
        "conclusion conclusion conclusion"
        "footer footer footer";
    gap: 10px;
}

@media (max-width: 992px) {
    main {
        grid-template-columns: 1fr;
        grid-template-areas:
            "header"
            "cours-html"
            "html-definition"
            "editeur-de-code"
            "structure-dossier-web"
            "balises-structurantes"
            "balises-texte"
            "balises-multimedias"
            "structure-page-web"
            "conclusion"
            "footer";
    }
}


header {
    grid-area: header;
    background: #323232;
    text-align: center;
    margin-top: 50px;
    padding: 10px;
    border-radius: 12px;
}

header>h1 {
    font-size: 48px;
}

@media (max-width: 992px) {
    header {
        margin-bottom: -10px;
        border-radius: 12px;
    }

    header>h1 {
        font-size: 28px;
    }
}

.html-definition {
    grid-area: html-definition;
    background: linear-gradient(45deg, #323232, #1a1a1a);
    padding: 15px;
    border-radius: 12px;
    transition: background 0.3s ease;
}

.editeur-de-code {
    grid-area: editeur-de-code;
    background: linear-gradient(45deg, #323232, #1a1a1a);
    padding: 15px;
    border-radius: 12px;
    transition: background 0.3s ease;
}

.structure-dossier-web {
    grid-area: structure-dossier-web;
    background: linear-gradient(45deg, #323232, #1a1a1a);
    padding: 15px;
    border-radius: 12px;
    transition: background 0.3s ease;
}

.balises-texte {
    grid-area: balises-texte;
    background: linear-gradient(45deg, #323232, #1a1a1a);
    padding: 15px;
    border-radius: 12px;
    transition: background 0.3s ease;
}

.balises-structurantes {
    grid-area: balises-structurantes;
    background: linear-gradient(45deg, #323232, #1a1a1a);
    padding: 15px;
    border-radius: 12px;
    transition: background 0.3s ease;
}

.balises-multimedias {
    grid-area: balises-multimedias;
    background: linear-gradient(45deg, #323232, #1a1a1a);
    padding: 15px;
    border-radius: 12px;
    transition: background 0.3s ease;
}

.structure-page-web {
  grid-area: structure-page-web;
  background: linear-gradient(45deg, #323232, #1a1a1a);
  padding: 15px;
  border-radius: 12px;
  transition: background 0.3s ease;
}

.conclusion {
    grid-area: conclusion;
    background: linear-gradient(45deg, #323232, #1a1a1a);
    padding: 15px;
    border-radius: 12px;
    transition: background 0.3s ease;
}

footer {
    grid-area: footer;
}
